//**********************************************************************
// PrintTime
// =========
// Print the current date and time to standard output using the user's
// default format.
//**********************************************************************

#ifndef STRICT
#define STRICT
#endif

#include <windows.h>
#include <stdlib.h>
#include <stdio.h>


//**********************************************************************
// Prototypes
// ----------
//**********************************************************************

BOOL strtoint(const char* s, int* i);


//**********************************************************************
// Global variables
// ----------------
//**********************************************************************

#define SYNTAX \
"Syntax: sleep <period /seconds default = 1>\n"


//**********************************************************************
// main
// ----
//**********************************************************************

int main(int argc, char* argv[])
{ int wait;

// Check the arguments

  if (argc == 2)
  { if (lstrcmp(argv[1], "-?") == 0 || lstrcmp(argv[1], "/?") == 0)
    { printf(SYNTAX);
      return(0);
    }
  }

// Get the wait period

  wait = 1;

  if (argc > 1)
  { if (!strtoint(argv[1], &wait))
    { printf("\"%s\" is not a valid integer\n");
      return(2);
    }
  }

// Now just sleep

  Sleep(wait*1000);

// All done

  return(0);
}


//**********************************************************************
// strtoint
// --------
// Convert string to int
//**********************************************************************

BOOL strtoint(const char* s, int* i)
{ const char* start;
  char* end;

  for (start = s; *start == ' ' || *start == '\t'; start++);
  *i = (int) strtol(start, &end, 10);

  return(end > start ? TRUE : FALSE);
}


